require "service/utils/version"
require_relative "utils/wrappers/object"
require_relative "utils/wrappers/nil"
require_relative "utils/wrappers/string"

module Service
  module Utils
    class << self

      def true?(str)
        return ["y", "yes", "t", "true"].include?(str.to_s.strip.downcase)
      end

      def false?(str)
        return ["n", "no", "f", "false"].include?(str.to_s.strip.downcase)
      end

      def metadata(collection)
        return {
          current_page: collection.current_page,
          per_page:     collection.page_size,
          prev_page:    collection.prev_page,
          next_page:    collection.next_page,
          total_pages:  collection.page_count,
          total_count:  collection.pagination_record_count
        }
      end
    end
  end
end
